org.eclipse.rdf4j.query.parser.serql.ast

## Class ASTSelectQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.serql.ast.SimpleNode
  - - org.eclipse.rdf4j.query.parser.serql.ast.ASTQuery
    - - org.eclipse.rdf4j.query.parser.serql.ast.ASTTupleQuery
      - - org.eclipse.rdf4j.query.parser.serql.ast.ASTSelectQuery

- All Implemented Interfaces:
    Node

      public class ASTSelectQuery
      extends ASTTupleQuery

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.parser.serql.ast.SimpleNode

      `children, id, parent, parser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTSelectQuery(int id)`
    `ASTSelectQuery(SyntaxTreeBuilder p, int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASTLimit` | `getLimit()`
    `ASTOffset` | `getOffset()`
    `ASTOrderBy` | `getOrderBy()`
    `ASTQueryBody` | `getQueryBody()`
    `ASTSelect` | `getSelectClause()`
    `boolean` | `hasLimit()`
    `boolean` | `hasOffset()`
    `boolean` | `hasOrderBy()`
    `boolean` | `hasQueryBody()`
    `Object` | `jjtAccept(SyntaxTreeBuilderVisitor visitor, Object data)` Accept the visitor.

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.serql.ast.SimpleNode

      `childrenAccept, dump, dump, jjtAddChild, jjtAppendChild, jjtClose, jjtGetChild, jjtGetChild, jjtGetChildren, jjtGetChildren, jjtGetNumChildren, jjtGetParent, jjtInsertChild, jjtOpen, jjtReplaceChild, jjtReplaceWith, jjtSetParent, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTSelectQuery

          public ASTSelectQuery(int id)

    - #### ASTSelectQuery

          public ASTSelectQuery(SyntaxTreeBuilder p,
                                int id)

  - ### Method Detail

    - #### jjtAccept

          public Object jjtAccept(SyntaxTreeBuilderVisitor visitor,
                                  Object data)
                           throws VisitorException

      Description copied from class: `SimpleNode`
      Accept the visitor.
      Specified by:
        `jjtAccept` in interface `Node`
      Overrides:
        `jjtAccept` in class `SimpleNode`
      Throws:
        `VisitorException`

    - #### getSelectClause

          public ASTSelect getSelectClause()

    - #### hasQueryBody

          public boolean hasQueryBody()

    - #### getQueryBody

          public ASTQueryBody getQueryBody()

    - #### hasOrderBy

          public boolean hasOrderBy()

    - #### getOrderBy

          public ASTOrderBy getOrderBy()

    - #### hasLimit

          public boolean hasLimit()

    - #### getLimit

          public ASTLimit getLimit()

    - #### hasOffset

          public boolean hasOffset()

    - #### getOffset

          public ASTOffset getOffset()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.